RagTime5SpreadsheetInternal::ClusterSpreadsheet Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RagTime5SpreadsheetInternal::ClusterSpreadsheet Struct Reference

low level: the spreadsheet cluster data More...

Inheritance diagram for RagTime5SpreadsheetInternal::ClusterSpreadsheet:

## Public Member Functions
| ClusterSpreadsheet ()
| constructor More...
virtual | ~ClusterSpreadsheet ()
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
RagTime5ClusterManager::Link | m_contentLink
| the main content More...
RagTime5ClusterManager::Link | m_clusterLink [2]
| cluster links list of size 10 and 24 More...
std::vector< RagTime5ClusterManager::Link > | m_fixedLink [4]
| the other fixed zone of size 10, 16( 1 or 2), 18(can be multiple), 8 More...
std::vector< RagTime5ClusterManager::Link > | m_listLink
| the other list zone More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
librevenge::RVNGString | m_name
| the cluster name (if know) More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...
bool | m_isSent
| true if the cluster was send More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_ClusterGProp, C_Script, C_ChartZone, C_GraphicZone, C_PictureZone, C_SpreadsheetZone, C_TextZone, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterC, C_Empty, C_Unknown }
| the cluster type More...

## Detailed Description

low level: the spreadsheet cluster data

## Constructor & Destructor Documentation

RagTime5SpreadsheetInternal::ClusterSpreadsheet::ClusterSpreadsheet | ( |  | ) |
| inline

constructor

virtual RagTime5SpreadsheetInternal::ClusterSpreadsheet::~ClusterSpreadsheet | ( |  | ) |
| inlinevirtual

destructor

## Member Data Documentation

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_clusterLink[2]

cluster links list of size 10 and 24

RagTime5ClusterManager::Link RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_contentLink

the main content

std::vector<RagTime5ClusterManager::Link> RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_fixedLink[4]

the other fixed zone of size 10, 16( 1 or 2), 18(can be multiple), 8

std::vector<RagTime5ClusterManager::Link> RagTime5SpreadsheetInternal::ClusterSpreadsheet::m_listLink

the other list zone

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx